wikidataclient dblist only contains enwiktionary out of all wiktionaries.
Closed, ResolvedPublic2 Story Points

Description

Caused T208293

Should they all be listed there?
Why was enwiktionary added?
Why were the other not added?

Addshore created this task.Oct 30 2018, 1:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 30 2018, 1:51 PM
Tarrow added a subscriber: Tarrow.Oct 30 2018, 1:56 PM

Looks like en was added in I191d172fdf6150e3010e4a50b0aab666c8195d67 with ticket T159316

Looks like en was added in I191d172fdf6150e3010e4a50b0aab666c8195d67 with ticket T159316

As the change id doesn't link itself, the gerrit change is https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/376495/

So far we only have arbitrary access for English language Wiktionary because they asked for it. Just yesterday Marius added one more. From my side it would be ok to add them all now. @Lea_Lacroix_WMDE any concerns/objections from your side?

Addshore moved this task from incoming to in progress on the Wikidata board.Oct 31 2018, 5:08 PM
hoo added a subscriber: hoo.Nov 1 2018, 12:05 AM
hoo claimed this task.Nov 1 2018, 1:05 AM

AFAICT this would only make one practical difference: It would also load Lexeme on the wiktionaries (which we totally want).

Data access would then still be disabled for wiktionaries per default (except for trwiktionary and enwiktionary where we manually enabled it).

Change 470960 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[operations/mediawiki-config@master] Add all wiktionaries to wikidataclient.dblist

https://gerrit.wikimedia.org/r/470960

Change 470961 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[operations/mediawiki-config@master] Remove now redundant Wikidata config for wiktionary

https://gerrit.wikimedia.org/r/470961

+1ed both of the patches, let do this! :)
Thanks for the patches!

Addshore set the point value for this task to 2.Nov 1 2018, 10:48 AM

Change 470960 merged by jenkins-bot:
[operations/mediawiki-config@master] Add all wiktionaries to wikidataclient.dblist

https://gerrit.wikimedia.org/r/470960

Mentioned in SAL (#wikimedia-operations) [2018-11-01T18:12:21Z] <hoo@deploy1001> Synchronized dblists/wikidataclient.dblist: Add all wiktionaries to wikidataclient.dblist, sort list (T208317) (duration: 00m 57s)

Change 470961 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove now redundant Wikidata config for wiktionary

https://gerrit.wikimedia.org/r/470961

Mentioned in SAL (#wikimedia-operations) [2018-11-01T18:19:23Z] <hoo@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Remove now redundant Wikidata config for wiktionary (T208317) (duration: 00m 54s)

Addshore triaged this task as Normal priority.Nov 4 2018, 5:14 PM

So if I understand correctly, the result of this ticket is not changing anything for users? ie it's not enabling arbitrary access on all Wiktionaries?

hoo added a comment.Tue, Dec 4, 2:31 PM

So if I understand correctly, the result of this ticket is not changing anything for users? ie it's not enabling arbitrary access on all Wiktionaries?

Yes, this should have no effect for users. If we want to enable arbitrary access for any further (all?) wiktionaries, we should have a new ticket for that.

OK, thanks. So there's no need for announcement for this ticket.

Uhmmm this is exactly what I've been told this is doing. We even mentioned it in the weekly summary. What's going on?

hoo added a comment.Wed, Dec 5, 7:30 AM

Uhmmm this is exactly what I've been told this is doing. We even mentioned it in the weekly summary. What's going on?

I guess the scope of this particular task was unclear (see my interpretation at T208317#4711511). If wanted, I can open a new one for arbitrary access for all wiktionaries… if already announced, we can even do this today, it's just a config change.

hoo closed this task as Resolved.

Actually enabling arbitrary access on wiktionaries is being tracked in T175273, this is just a (now resolved) prerequisite for this.